Description

The current cardinality only allows one RatioTapChanger to be associated to a PowerTransformerEnd. I've come across multiple
scenarios where a transformer may have two RatioTapChanger on one PowerTransformerEnd, one of which is on-load tap changer
and the other one is off-load tap changer. Attached I've added one example from a real customer data describing it.

Proposed Solution

Change the cardinality to 1:0..2 (if this is allowed) or to 1:0..*
Most of the cases | have seen is to have two RatioTapChanger, never encountered more than two scenario

In addition there is a need to discuss: The possibility to have both a PhaseTapChangerTable and a RatioTapChangerTable assigned
to a TapChanger in EQ and an attribute in SSH to denote which is active (reported by HOPS)

In addition there is a request to have a tap changer that has both ratio and phase tap changer on same winding and the winding

connection angle is changing as part of the operational processes.

Slides are attached

Decision
Call 18 Oct 2023

the group is not sure that we need to change the cardinality. We rather have this modelled in a different way. Suggested to have a
wider discussion in Minneapolis meeting - 23 Oct 2023

Multiple decisions are recorded in the attached document. Final agreement is to add this to the canonical CIM and profiles

Release Notes

Applied changes in canonical CIM

- added class StepOperationalLimitTable

- added class StepLimitTablePoint with attributes step and factor
- the association end RatioTapChanger.TransformerEnd is changed from 1 to 0..1

- new association is added between RatioTapChanger and TransformerEnd

- added class ConnectionAngleTapChangerTable with attribute ConnectionAngleTapChangerTable.windingConnectionAngle
- added class ConnectionAngleTapChanger
- added ConnectionAngleTapChanger.minWindingConnectionAngle, maxWindingConnectionAngle, connectionAngleStepSize,
windingConnectionAngle, normalWindingConnectionAngle
- added class ImpedanceTapChangerTabular

- added class ImpedanceTapChangerTable

- added class ImpedanceTapChangerTablePoint with the following attributes: xEnd1, xEnd2, xEnd3, rEnd1, rEnd2, rEnd3, step, ratio,
angle.

- the text "Note that the upper boundary is not constrained to 100 percent." is added to TapChangerTablePoint.b, .g, .r, .x

Changes are also applied to EQ (452) and SSH profiles (456)

History

#1 - 06/28/2023 10:05 AM - Yang Feng
- Standard(s) changed from 61970-301/452 to 61970-301,61970-452

#2 - 10/18/2023 11:06 AM - Chavdar lvanov
- Status changed from New to Open

- Decision updated

#3 - 10/18/2023 11:06 AM - Chavdar Ivanov

- Status changed from Open to In Progress

#4 - 02/07/2024 06:07 AM - Chavdar lvanov
- Proposed Solution updated

#5 - 03/09/2024 11:16 PM - Chavdar Ivanov
- Proposed Solution updated

#6 - 03/09/2024 11:40 PM - Chavdar Ivanov
- File Tap_changer_issues.pptx added

#7 - 03/12/2024 02:26 AM - Chavdar lvanov
- File Tap_changer_issues_v2.pptx added

Updated the presentation with additional issues

#8 - 06/04/2024 03:23 PM - Chavdar lvanov
- Base Release set to CIM18

- Solution to be Applied To set to CIM18v11
- Solution Version set to CIM18v11

- Solution Applied By set to Chavdar Ilvanov
- Completion Date set to 06/04/2024

- Decision updated

- Release Notes updated

#9 - 06/04/2024 03:25 PM - Chavdar Ilvanov

- File DescriptionsTransformerClasses_v4.docx added

#10 - 06/05/2024 04:09 PM - Chavdar Ilvanov

- Status changed from In Progress to Closed

#11 - 02/19/2025 10:10 AM - Domagoj Peharda

Please reopen this case, the end names of two associations from RatioTapChanger to TransformerEnd is the same: TransformerEnd.

Association end names should be unique among all specialisations of a class. For example, if IdentifiedObject associates to the Name class with an
end name of “Name”, no specialisation of IdentifiedObject may create another association whose end name is “Name” regardless of the class to

which it associates. Note that any number of associations from other classes may use the same name (e.g. “IdentifiedObject”) as the association end
name on the IdentifiedObject end of the association, as long as the prior rule of uniqgueness among specializations is respected.
